Bug 835710 - [as7] Unused custom component for webservices subsystem
[as7] Unused custom component for webservices subsystem
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 835755
  Show dependency treegraph
 
Reported: 2012-06-26 17:59 EDT by Stefan Negrea
Modified: 2013-09-01 06:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835755 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:03:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-06-26 17:59:43 EDT
Webservices subsystem has a custom component (WebservicesComponent) in the AS7 plugin but no custom code gets executed due to resource configuration. 


The component can be removed from the code and the subsystem switched to use generic components. This will simplify the plugin structure and remove unused code.
Comment 1 Stefan Negrea 2012-06-27 00:05:19 EDT
Removed WebservicesComoponent class and moved the two resources using it to the generic BaseComponent.

master branch commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=2d2ae3923fdaa1d94561f3995b4e59521e9267db
Comment 2 Heiko W. Rupp 2013-09-01 06:03:39 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.